Bug 676910 - c++config.h:1849:29: error: missing binary operator before token "or"
Summary: c++config.h:1849:29: error: missing binary operator before token "or"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-11 19:48 UTC by Rex Dieter
Modified: 2011-02-16 01:29 UTC (History)
1 user (show)

Fixed In Version: gcc-4.6.0-0.7.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-13 19:48:42 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNU Compiler Collection 47662 0 None None None Never

Description Rex Dieter 2011-02-11 19:48:06 UTC
Got a f15 ftbfs on liblastfm, which appears to be problem with c++config.h from libstdc++-devel,

snippet:

In file included from /usr/lib/gcc/x86_64-redhat-linux/4.6.0/../../../../include/c++/4.6.0/string:40:0,
                 from /usr/include/QtCore/qstring.h:60,
                 from /usr/include/QtCore/qobject.h:48,
                 from /usr/include/QtCore/qpointer.h:45,
                 from /usr/include/QtCore/QPointer:1,
                 from scrobble/ScrobblerHttp.h:23,
                 from scrobble/Handshake.h:23,
                 from scrobble/Handshake.cpp:20:
/usr/lib/gcc/x86_64-redhat-linux/4.6.0/../../../../include/c++/4.6.0/x86_64-redhat-linux/bits/c++config.h:1849:29: error: missing binary operator before token "or"
In file included from /usr/lib/gcc/x86_64-redhat-linux/4.6.0/../../../../include/c++/4.6.0/iterator:60:0,
                 from /usr/include/QtCore/qlist.h:50,
                 from /usr/include/QtCore/qvariant.h:47,
                 from /usr/include/QtCore/qmetaobject.h:46,
                 from /usr/include/QtCore/QMetaEnum:1,
                 from ../_include/lastfm/global.h:46,
                 from ../_include/lastfm/Artist:23,
                 from ../_include/lastfm/Album:23,
                 from ../_include/lastfm/Track:23,
                 from ../_include/lastfm/Scrobble:23,
                 from scrobble/ScrobbleCache.h:23,
                 from scrobble/ScrobbleCache.cpp:20:
/usr/lib/gcc/x86_64-redhat-linux/4.6.0/../../../../include/c++/4.6.0/x86_64-redhat-linux/bits/c++config.h:1849:29: error: missing binary operator before token "or"



Full log,
http://koji.fedoraproject.org/koji/getfile?taskID=2833660&name=build.log

Comment 1 Jakub Jelinek 2011-02-13 19:48:31 UTC
Should be fixed already in gcc-4.6.0-0.7.fc15.

Comment 2 Rex Dieter 2011-02-13 21:21:34 UTC
OK, but I don't see any pending updates for this (yet), nor is it in the buildroot.  Mind if I tag it for the latter?

Comment 3 Fedora Update System 2011-02-13 21:48:25 UTC
gcc-4.6.0-0.7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gcc-4.6.0-0.7.fc15

Comment 4 Fedora Update System 2011-02-16 01:29:37 UTC
gcc-4.6.0-0.7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.